-- Internal active ip addresses
select
extract(year from start_time) as year,
extract(month from start_time) as month,
count(distinct (internet_site, dns_name)) as internal_active_ip_addresses
from controls.v_data_retrieval_log
where controls.is_ip_local(internet_site)
and username != 'nagios' and username != 'junit'
and (start_time 
	BETWEEN date (extract(year from now())||'-'||extract(month from now())||'-01') - interval '1 month'
	and date (extract(year from now())||'-'||extract(month from now())||'-01')
)
group by year, month
